Bug 560654 (CVE-2010-0306) - CVE-2010-0306 kvm: emulator privilege escalation IOPL/CPL level check
Summary: CVE-2010-0306 kvm: emulator privilege escalation IOPL/CPL level check
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-0306
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 560697 560698 560699 560904
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-01 14:30 UTC by Petr Matousek
Modified: 2019-09-29 12:34 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-05 19:56:43 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0088 0 normal SHIPPED_LIVE Important: kvm security and bug fix update 2010-02-09 10:01:51 UTC
Red Hat Product Errata RHSA-2010:0095 0 normal SHIPPED_LIVE Important: rhev-hypervisor security and bug fix update 2010-02-09 15:23:40 UTC

Description Petr Matousek 2010-02-01 14:30:38 UTC
Gleb Napatov found a bug in KVM that can be used to bypass proper IOPL/CPL
checking. KVM relies on CPU to check IOPL/CPL before instruction execution, so
emulator doesn't do IOPL/CPL checking. Malicious guest process running in SMP
guest can bypass CPU IOPL/CPL checking if it has access to IO port or MMIO
region. To do so it should run legitimate instruction that does IO and will
cause vcpu to enter emulator in one thread and replace this instruction to
malicious one from another thread. If instruction is replaced after KVM
entered emulator, but before instruction is fetched emulator will be
tricked to execute privileged instruction without permission checking.

Comment 12 errata-xmlrpc 2010-02-09 10:01:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0088 https://rhn.redhat.com/errata/RHSA-2010-0088.html

Comment 14 errata-xmlrpc 2010-02-09 15:24:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Virtualization for RHEL-5

Via RHSA-2010:0095 https://rhn.redhat.com/errata/RHSA-2010-0095.html


Note You need to log in before you can comment on or make changes to this bug.